Skip to main content
PUT
/
preview
/
campaigns
/
{campaignId}
/
targeting
/
domain-rules
/preview/campaigns/{campaignId}/targeting/domain-rules
curl --request PUT \
  --url https://api.criteo.com/preview/campaigns/{campaignId}/targeting/domain-rules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "attributes": {
      "data": [
        {
          "active": true,
          "readOnly": true,
          "value": "<string>"
        }
      ]
    },
    "type": "<string>"
  }
}
'
import requests

url = "https://api.criteo.com/preview/campaigns/{campaignId}/targeting/domain-rules"

payload = { "data": {
"attributes": { "data": [
{
"active": True,
"readOnly": True,
"value": "<string>"
}
] },
"type": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {data: [{active: true, readOnly: true, value: '<string>'}]},
type: '<string>'
}
})
};

fetch('https://api.criteo.com/preview/campaigns/{campaignId}/targeting/domain-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "attributes": {
      "data": [
        {
          "active": true,
          "readOnly": true,
          "value": "<string>"
        }
      ]
    },
    "type": "<string>"
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

campaignId
string<int32>
required

The campaign id

Body

application/json

Contains the list of items to add to the existing list

Root object containing the API request

data
object | null

Standard envelope for an entity

Response

200 - application/json

Success

Root object for the API response

data
object | null

Standard envelope for an entity